Page MenuHomePhabricator

[RISCV][NFC] Increase test coverage of Zbt extension
ClosedPublic

Authored by mundaym on Jan 15 2021, 9:19 AM.

Details

Summary

Add Zbt (ternary) extension code generation to the select lowering
tests since it can have a significant impact on how select is
lowered.

While we are here make the neg-abs commands more consistent with
the other tests.

Diff Detail

Event Timeline

mundaym created this revision.Jan 15 2021, 9:19 AM
mundaym requested review of this revision.Jan 15 2021, 9:19 AM
Herald added a project: Restricted Project. · View Herald TranscriptJan 15 2021, 9:19 AM
mundaym updated this revision to Diff 317246.Jan 17 2021, 3:29 PM

Update MIR test.

lenary accepted this revision.Jan 18 2021, 9:09 AM

LGTM. I'll land this for you today.

This revision is now accepted and ready to land.Jan 18 2021, 9:09 AM
This revision was automatically updated to reflect the committed changes.